This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478016 - MIGRATED_FROM_JIRA: Problems with renaming a connection
MIGRATED_FROM_JIRA: Problems with renaming a connection
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:51 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:51:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:51:06 EST
Case 1:

Steps to reproduce:
1. Create a new connection, assign it with a name such as "test".
2. Add a source.
3. In the Connection Name drop down box, you will see "NewConnection" instead
   of "test".

Expected behavior:
The drop down box should show the current names of the connections.

Case 2:

Steps to reproduce:
1. Rename an existing connection, assign it with a new name such as "test".
2. Add a source.
3. In the Connection Name drop down box, you will see the old name instead
   of "test".

Expected behavior:
The drop down box should show the current names of the connections.

Additional Comments From endisd dated Thu Apr 14 00:39:23 CDT 2005 
The same thing also happens when you edit the existing sources (instead of adding a new one).

Additional Comments From adison dated Thu Apr 14 13:29:40 CDT 2005 
This has been fixed and should be available on the next micro release.

Additional Comments From adison dated Wed Apr 20 12:29:14 CDT 2005 
This issue has been resolved. When editing the connection name, the connection name must be unique (or you won't be able to save the changes) and it can't be empty either. The same rule applies to source name and module name.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-6',
          'assignee' => 'adison',
          'summary' => 'Problems with renaming a connection',
          'id' => '10067',
          'updated' => '2005-07-26 10:17:11.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-06-03 00:00:00.0',
                             'sequence' => '1',
                             'name' => 'Penrose-0.9.1',
                             'released' => 'true',
                             'id' => '10004',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Case 1:

Steps to reproduce:
1. Create a new connection, assign it with a name such as "test".
2. Add a source.
3. In the Connection Name drop down box, you will see "NewConnection" instead
   of "test".

Expected behavior:
The drop down box should show the current names of the connections.

Case 2:

Steps to reproduce:
1. Rename an existing connection, assign it with a new name such as "test".
2. Add a source.
3. In the Connection Name drop down box, you will see the old name instead
   of "test".

Expected behavior:
The drop down box should show the current names of the connections.
',
          'created' => '2005-04-14 00:35:18.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:51:08 EST
Closing bug as it was already closed in Jira - PENROSE-6

Note You need to log in before you can comment on or make changes to this bug.